.header {
    box-sizing: unset;
}

.container-fluid{
    --bs-gutter-x: 0;
}

h1 {
    font-size: 2em;
    font-weight: bold;
    margin: 0;
}

.container{
    max-width: 100%;
    padding: 0;
    margin: 0;
    --bs-gutter-x: 0;
}

.main {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    padding: 16px;
}

.main-title{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 10px;
    padding-bottom: 10px;
}

ul {
    margin-top: 1em;
}

body{
    line-height: unset;
}

.mt-5 {
    margin-top: 0 !important;
}

.todo-list-containers {
    display: flex;
    justify-content: space-between;
    font-size: 18px;
    min-height: 400px;
    font-weight: 600;
    text-align: center;
    margin: 0px 7%;
}

.todo-list-container {
    margin: 10px;
    padding: 10px;
    width: 100%;
    background-color: #f0f0f0; /* Light gray background */
    border-radius: 0;
    position: relative;
}



.task-container {
    background-color: white;
    border: 2px solid darkgray;
    border-radius: 7px;
    margin-top: 10px;
}

.task-header {
    background-color: #e6e6e6; /* Light gray background */
    width: 100%;
    border-radius: 0;
    border: none;
    border-bottom: 1px solid darkgray;
    padding: 10px;
    outline: none;
    font-size: 16px;
    height: 43px;
    font-weight: 600;
}

.task-textarea {
    background-color: white;
    width: 100%;
    border-radius: 0;
    border: none;
    border-bottom: 1px solid darkgray;
    resize: vertical;
    padding: 10px;
    outline: none;
    font-size: 16px;
    height: 43px;
}

.task-buttons-container {
    height: 35px;
    width: 100%;
    background-color: transparent;
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
    gap: 5px;
    margin-top: 5px;
    padding-top: 5px;
    padding-right: 5px;
    border-top: 1px solid darkgray;
}

.task-save-button {
    height: 80%;
    background-color: transparent; 
    cursor: pointer; 
    transition: background-color 0.3s ease; 
    content: url(../images/saveicon.png);
    display: none;
}

.task-delete-button {
    height: 80%;
    background-color: transparent; 
    cursor: pointer; 
    transition: background-color 0.3s ease; 
    content: url(../images/deleteIcon.png);
}

#to-do-board{
    background: #333; /* Dark gray background */
    color: white;
}

#in-progress-board{
    background: #666; /* Medium gray background */
    color: white;
}

#done-board{
    background: #999; /* Light gray background */
    color: white;
}

.drag {
    background-color: white;
}

@media only screen and (width < 1025px) {
    .todo-list-containers {
        margin: 0;
    }
}

.add-btn {
    margin: 10px 8%;
    width: 130px;
    height: 35px;
    line-height: 35px;
    font-size: 16px;
    
    background-color: black;
    border: 0;
    color: white;
    letter-spacing: 3px;
    box-shadow: none;
    outline: transparent;
    position: relative;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    text-align: center;
    display: block;
    margin-left: auto; 
}

.add-btn:after {
    
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    color: white;
    background: none; 
    clip-path: none; 
    text-shadow: none; 
    text-align: center;
}

.add-btn:hover {
    background-color: darkgray; 
}

@media only screen and (width < 1025px) {
    .add-btn {
        margin: 10px auto; /* Centered in smaller screens */
    }
}


@media only screen and (width < 1025px) {
    .add-btn,
    .add-btn:after {
        margin: 10px;
    }
}

input[type="date"] {
    background-color: white;
    color: #333;
    font-size: 16px;
    border: none;
    border-radius: 4px;
    margin-bottom: 5px;
    cursor: pointer; 
    width: 100%;
    text-align: center;
    padding-right: 7px;
}

input[type="date"]::placeholder {
    color: #999; 
}

input[type="date"]:focus {
    outline: none; 
    border-color: gray; 
}

.fullscreen-form {
    display: none;
    position: absolute;
    width: 50%;
    overflow: auto;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    padding: 20px;
    border-radius: 0;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.5);
    z-index: 999999;
}

.blur-background {
    display: none;
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Dark gray overlay */
    z-index: 999998;
}
